import request from '@/utils/request'

// 分页查询库场管理列表
export function pageListStock(query) {
  return request({
    url: '/jxc/stock/pageList',
    method: 'get',
    params: query
  })
}

// 查询库场管理列表
export function listStock(query) {
  return request({
    url: '/jxc/stock/list',
    method: 'get',
    params: query
  })
}

// 查询库场管理详细
export function getStock(id) {
  return request({
    url: '/jxc/stock/' + id,
    method: 'get'
  })
}

// 新增库场管理
export function addStock(data) {
  return request({
    url: '/jxc/stock',
    method: 'post',
    data: data
  })
}

// 修改库场管理
export function updateStock(data) {
  return request({
    url: '/jxc/stock',
    method: 'put',
    data: data
  })
}

// 删除库场管理
export function delStock(id) {
  return request({
    url: '/jxc/stock/' + id,
    method: 'delete'
  })
}

// 导出库场管理
export function exportStock(query) {
  return request({
    url: '/jxc/stock/' + 'export',
    method: 'post',
    params: query
  })
}
